import request from '@/utils/request'

// 查询提现配置列表
export function listWithdrawSetting(query) {
  return request({
    url: '/xq/withdrawSetting/list',
    method: 'get',
    params: query
  })
}

// 查询提现配置详细
export function getWithdrawSetting(id) {
  return request({
    url: '/xq/withdrawSetting/' + id,
    method: 'get'
  })
}

// 新增提现配置
export function addWithdrawSetting(data) {
  return request({
    url: '/xq/withdrawSetting',
    method: 'post',
    data: data
  })
}

// 修改提现配置
export function updateWithdrawSetting(data) {
  return request({
    url: '/xq/withdrawSetting',
    method: 'put',
    data: data
  })
}

// 删除提现配置
export function delWithdrawSetting(id) {
  return request({
    url: '/xq/withdrawSetting/' + id,
    method: 'delete'
  })
}
